#! /bin/sh
#

### BEGIN INIT INFO
# Provides:          netapplet
# Required-Start:    $remote_fs $network
# Required-Stop:     $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      1
### END INIT INFO

set -e

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="network interface daemon"
NAME=netdaemon
DAEMON=/usr/sbin/$NAME
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

. /lib/lsb/init-functions

# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0

# Read config file if it is present.
#if [ -r /etc/default/$NAME ]
#then
#	. /etc/default/$NAME
#fi

#
#	Function that starts the daemon/service.
#
d_start() {
	start-stop-daemon --start --quiet --pidfile $PIDFILE \
		-b --exec $DAEMON
}

#
#	Function that stops the daemon/service.
#
d_stop() {
	start-stop-daemon --stop --quiet \
		--name $NAME
}

#
#	Function that sends a SIGHUP to the daemon/service.
#
d_reload() {
	start-stop-daemon --stop --quiet -\
		--name $NAME --signal 1
}

case "$1" in
  start)
	log_begin_msg "Starting $DESC..."
	d_start
	log_end_msg $?
	;;
  stop)
	log_begin_msg "Stopping $DESC..."
	d_stop
	log_end_msg $?
	;;
  #reload)
	#
	#	If the daemon can reload its configuration without
	#	restarting (for example, when it is sent a SIGHUP),
	#	then implement that here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this an "exit 0".
	#
	# log_begin_msg "Reloading $DESC configuration..."
	# d_reload
	# log_end_msg $?
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	log_begin_msg "Restarting $DESC..."
	d_stop
	sleep 1
	d_start
	log_end_msg $?
	;;
  *)
	log_success_msg "Usage: $SCRIPTNAME {start|stop|restart|force-reload}"
	exit 1
	;;
esac

exit 0
